using Avalonia;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using Teachers.ViewModels;

namespace Teachers;

public partial class AddTeacherView : UserControl
{
    public AddTeacherView()
    {
        InitializeComponent();
        DataContext = new AddTeacherViewModel();
    }

    public AddTeacherView(int idTeacher)
    {
        InitializeComponent();
        DataContext = new AddTeacherViewModel(idTeacher);
    }
}